# Function arrayRemove

- arrayRemove<T>(array, predicate): T[]

- #### Type Parameters

  - #### T

  #### Parameters

  - ##### array: T[]

  - ##### predicate: ((item, index, array) => boolean)

    - - (item, index, array): boolean

      - #### Parameters

        - ##### item: T

        - ##### index: number

        - ##### array: T[]

        #### Returns boolean

  #### Returns T[]

  - Defined in src/utils/utils.ts:18

Generated using TypeDoc